Summary:       English hunspell dictionaries
Name:          hunspell-en
Version:       0.20201207
Release:       5%{?dist}
License:       LGPLv2+ and LGPLv2 and BSD
URL:           http://wordlist.sourceforge.net/
Source0:       https://github.com/en-wl/wordlist/archive/rel-2020.12.07.tar.gz
Source1:       http://download.services.openoffice.org/contrib/dictionaries/en_GB.zip
Patch3000:     mozilla_words.patch
Patch3001:     en_US-strippedabbrevs.patch
Patch3002:     hunspell-en-allow-non-typographical.marks.patch
Patch3003:     hunspell-en-SI_and_IEC.patch
Patch3004:     en_GB-singleletters.patch
Patch3005:     en_GB.two_initial_caps.patch
Patch3006:     hunspell-en-calender.patch
Patch3007:     en_IE.supplemental.patch
Patch3008:     hunspell-en-dont-call-git-during-build.patch
Patch3009:     en_GB.etc.patch
Patch3010:     hunspell-en-buildfix.patch

BuildArch:     noarch
BuildRequires: aspell zip dos2unix perl-Getopt-Long
BuildRequires: make  gcc-c++
Requires:      hunspell hunspell-en-US = %{version}-%{release} hunspell-en-GB = %{version}-%{release}
Supplements:   langpacks-en

%description
English (US, UK, etc.) hunspell dictionaries

%package US
Requires:      hunspell-filesystem hunspell
Summary:       US English hunspell dictionaries

%description US
US English hunspell dictionaries

%package GB
Requires:      hunspell-filesystem hunspell
Supplements:   hunspell langpacks-en_GB
Summary:       UK English hunspell dictionaries

%description GB
UK English hunspell dictionaries

%prep
%setup -q -n wordlist-rel-2020.12.07
%setup -q -T -D -a 1 -n wordlist-rel-2020.12.07
%autopatch -p0 -m 3000 -M 3003
%autopatch -p1 -m 3004 -M 3010

%build
make PERL5LIB=`pwd`/scowl/r/varcon${PERL5LIB:+:${PERL5LIB}}
cd scowl/speller
make hunspell

%install
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hunspell
cp -p en_??.dic en_??.aff $RPM_BUILD_ROOT/%{_datadir}/hunspell
cd scowl/speller
cp -p en_??.dic en_??.aff $RPM_BUILD_ROOT/%{_datadir}/hunspell

pushd $RPM_BUILD_ROOT/%{_datadir}/hunspell/
en_GB_aliases="en_AG en_BS en_BW en_BZ en_DK en_GH en_HK en_IE en_IN en_JM en_MW en_NA en_NG en_NZ en_SG en_TT en_ZA en_ZM en_ZW"
for lang in $en_GB_aliases; do
	ln -s en_GB.aff $lang.aff
	ln -s en_GB.dic $lang.dic
done
en_US_aliases="en_PH"
for lang in $en_US_aliases; do
	ln -s en_US.aff $lang.aff
	ln -s en_US.dic $lang.dic
done
popd


%files
%doc scowl/speller/README_en_CA.txt
%{_datadir}/hunspell/*
%exclude %{_datadir}/hunspell/en_GB.*
%exclude %{_datadir}/hunspell/en_US.*

%files US
%doc scowl/speller/README_en_US.txt
%{_datadir}/hunspell/en_US.*

%files GB
%doc README_en_GB.txt
%{_datadir}/hunspell/en_GB.*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20201207-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20201207-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20201207-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.20201207-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 8 2022 Feng Weiyao <wynnfeng@tencent.com> - 0.20201207-1
- package init.
